#include "types.h"
#include "console.h"
#include "idt.h"
#include "inline_asm.h"
#include "keyboard.h"
#include "timer.h"
#include "gdt.h"

#include "sched.h"
#include "process.h"





void start_kernel(void)
{
	char str[] = "C START!";
		
	init_screen();

	caos_printf("%s\n", str);

	init_idt();

	set_idtr();

	init_process();


	
	init_keyboard();
	init_timer();

	sti();

	caos_printf("CaOS KERNEL END!!\n");

	start_init();


	while (1);
}
		
		
		
