
#ifndef	__PROCESS_H__
#define	__PROCESS_H__

#include "processor.h"


/* declare process's statements... */
#define	PROCESS_RUNNING				1
#define	PROCESS_INTERRUPTIBLE		2
#define	PROCESS_UNINTERRUPTIBLE		3
#define	PROCESS_STOPPED				4




#define	MAX_DEVICE_OPEN		16


/* process table... */
typedef struct _process_table
{
	int	status;
	int	pid;
	
	unsigned int	priority;
	unsigned int	counter;

	unsigned int	sleep;

	thread_struct thread;
	
} process_table;


#define	PROCESS_STACK_SIZE	4096

#define	NORMAL_PRIORITY		20
#define	FOREGROUND_PRIORITY	40

#define	INIT_PID	0

/* process table  kernel mode stack  ϳ page  Ѵ... */
typedef union _process_stack
{
	process_table	pt;

	unsigned char	stack[ PROCESS_STACK_SIZE ];
} process_stack;

void init(void);
void start_init(void);
void init_process(void);
	
#endif
